=== debian/changelog ===
ark (4:21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Reamaining changes:
    - Kubuntu Vcs and maintainer.

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Mar 2022 07:00:47 +0000

ark (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Added myself to the uploaders.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Enable build hardening options.
  * Drop l10n migration rules, not required anymore after 2 stable releases.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 21:29:12 +0100

ark (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:05:15 +0000

ark (4:21.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (21.12.2).

 -- Patrick Franz <deltaone@debian.org>  Fri, 18 Feb 2022 01:59:25 +0100

ark (4:21.12.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:11:39 +0000

ark (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:19:39 +0000

ark (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:16:24 +0000

ark (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:00:55 +0000

ark (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:00 +0000

ark (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:21:43 +0000
