=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5crash-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5doctools-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5itemmodels-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5parts-dev (>= 5.82.0~),
               libkf5pty-dev (>= 5.82.0~),
               libkf5service-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.0~),
               zlib1g-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ark

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.
