## ark 22.08.1

=== debian/changelog ===
ark (4:22.08.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 20 Sep 2022 12:43:43 +0200

ark (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jul 2022 06:03:20 +0200

ark (4:22.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again the blhc job.
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.86.0
  * Drop the removal of .so symlinks, as there are no more now.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Jun 2022 09:16:16 +0200
