=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5itemmodels-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5pty-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               qtbase5-dev (>= 5.15.0~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.
