=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
