=== app/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 add_subdirectory(icons)
+add_subdirectory(kconf_update)
 
 include_directories(${CMAKE_BINARY_DIR}) # for version.h generated by cmake
 include_directories(${CMAKE_SOURCE_DIR}/part) # for part's interface.h
@@ -69,6 +70,7 @@
 install(TARGETS ark  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.ark.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.ark.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+install(FILES arkrc DESTINATION ${KDE_INSTALL_CONFDIR})
 
 ############ ark_extract_here plugin ###############
 
@@ -76,9 +78,9 @@
 
 kcoreaddons_add_plugin(extracthere
     SOURCES ${extracthere_SRCS}
-    INSTALL_NAMESPACE kf5/kio_dnd)
+    INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/kio_dnd)
 
-kcoreaddons_desktop_to_json(extracthere ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop DEFAULT_SERVICE_TYPE)
+kcoreaddons_desktop_to_json(extracthere ${CMAKE_CURRENT_BINARY_DIR}/ark_dndextract.desktop)
 
 target_link_libraries(extracthere kerfuffle KF5::KIOWidgets KF5::KIOFileWidgets)
 
@@ -86,7 +88,7 @@
 
 kcoreaddons_add_plugin(compressfileitemaction
     SOURCES compressfileitemaction.cpp
-    INSTALL_NAMESPACE "kf5/kfileitemaction")
+    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction")
 
 target_link_libraries(compressfileitemaction
     kerfuffle
@@ -97,7 +99,7 @@
 
 kcoreaddons_add_plugin(extractfileitemaction
     SOURCES extractfileitemaction.cpp batchextract.cpp ${CMAKE_CURRENT_BINARY_DIR}/ark_debug.cpp
-    INSTALL_NAMESPACE "kf5/kfileitemaction")
+    INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction")
 
 target_link_libraries(extractfileitemaction
     kerfuffle
