=== part/CMakeLists.txt ===
--- 
+++ 
@@ -35,8 +35,4 @@
 
 kcoreaddons_desktop_to_json(arkpart ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop SERVICE_TYPES kpart.desktop browserview.desktop)
 
-install(TARGETS arkpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/parts)
-
-########### install files ###############
-
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
+install(TARGETS arkpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)
