=== plugins/cli7zplugin/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ecm_qt_declare_logging_category(kerfuffle_cli7z_SRCS
                                 HEADER ark_debug.h
                                 IDENTIFIER ARK
-                                CATEGORY_NAME ark.cli7z DESCRIPTION "Ark p7zip" EXPORT ARK)
+                                CATEGORY_NAME ark.cli7z DESCRIPTION "Ark 7z" EXPORT ARK)
 
 # NOTE: the first double-quotes of the first mime and the last
 # double-quotes of the last mime must NOT be escaped.
@@ -24,9 +24,9 @@
 set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLI7Z_MIMETYPES}" PARENT_SCOPE)
 set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_cli7z;" PARENT_SCOPE)
 
-find_program(P7ZIP 7z)
-if(P7ZIP)
-    message(STATUS "Found p7zip executable: ${P7ZIP}")
+find_program(7ZIP 7z)
+if(7ZIP)
+    message(STATUS "Found 7-Zip executable: ${7ZIP}")
 else()
     message(WARNING "Could not find the 7z executable. Ark won't be able to handle the 7z archive format.")
 endif()
