=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -36,9 +36,9 @@
 Package: ark
 Section: utils
 Architecture: any
-Recommends: bzip2, p7zip-full, unar, unzip, zip
-Suggests: rar, unrar | unrar-free
-Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
+Recommends: bzip2, p7zip-full, unar, unzip, zip,
+Suggests: rar, unrar | unrar-free,
+Depends: kinit, ${misc:Depends}, ${shlibs:Depends},
 Description: archive utility
  Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
  as well as CD-ROM images.  Ark can be used to browse, extract, create, and
